# Created by pyp2rpm-3.3.7
%global pypi_name attrdict

Name:           python3-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 1
Summary:        A dict with attribute-style access
Group:          Development/Python
License:        MIT License
URL:            https://github.com/bcj/AttrDict
Source0:      %{pypi_name}-%{version}.tar.gz
Patch1:		attrdict-collections.abc.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-six
Requires:       python3-six
%{?python_provide:%python_provide python3-%{pypi_name}}

%description
AttrDict is a library that provides mapping objects that allow their elements
to be accessed both as keys and as attributes.

%prep
%setup -n %{pypi_name}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Aug 06 2022 pp 2.0.1-1pclos2022
- imported package python-attrdict

